<!DOCTYPE html> 
<html>
<head>
	<title>Commande camera du nichoir</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<link type="text/css" rel="stylesheet" href="style.css">
</head>

<body>
<?php


$erreur = "";
define("INFO1", "Taille d'image : 1296x972<br>Filmé à 25 images par seconde<br>Latence 120 ms<br>A lire avec Gstreamer");
define("INFO2", "Taille d'image : 1296x972<br>Filmé à 25 images par seconde<br>Latence 2 s<br>A lire avec VLC");
define("INFO3", "Taille d'image : 640x480<br>Filmé à 90 images par seconde<br>A lire après conversion de l'enregistrement");
define("ALERTE1", "Lancer en premier l'executable : temps-reel");
define("ALERTE2", "Ensuite lancer VLC et lire le flux réseau");
define("ALERTE3", "IMPORTANT ! Lancer en premier l'executable : ralenti");


if (empty($_POST)) 
{
	$c1 = "checked";
	$c2 = "";
	$c3 = "";
	$erreur = "Valider le mode de tournage choisi !";
	$envoi = "actif";
	$filmer = "inactif";
	$arret = "inactif";
	$avis = "";
	$alerte = "";
	$mode ="hq1";
	$nb_video = "";
	$image_cam = "arret";
}
else
{
	$c1 = $_POST["c1"];
	$c2 = $_POST["c2"];
	$c3 = $_POST["c3"];
	$envoi = $_POST["envoi"];
	$filmer = $_POST["filmer"];
	$arret = $_POST["arret"];
	$mode = $_POST["mode"];
	$avis = $_POST["avis"];
	$alerte = $_POST["alerte"];
	$nb_video = $_POST["nb_video"];
	$image_cam = $_POST["image_cam"];
	
	switch($_POST["video"])
	{
		case "hq1":
		if ($envoi == "actif")
		{
			$mode = "hq1";
			$avis = INFO1;
			$alerte = ALERTE1;
			$c1 = "checked";
			$c2 = "";
			$c3 = "";
		}
		break;
		
		case "hq2":
		if ($envoi == "actif")
		{
			$mode = "hq2";
			$avis = INFO2;
			$alerte = ALERTE2;
			$c1 = "";
			$c2 = "checked";
			$c3 = "";
		}
		break;
		
		case "ral":
		if ($envoi == "actif")
		{
			$mode = "ral";
			$avis = INFO3;
			$alerte = ALERTE3;
			$c1 = "";
			$c2 = "";
			$c3 = "checked";
		}
		break;
	}
		
	$nom_choix = array("valider", "moteur", "couper",);
	foreach ($nom_choix as $nom)
    {
        if (array_key_exists($nom, $_POST))
        {
             $soumis[] = $nom;
        }
    }
    if (count($soumis) != 1)
    {
     $erreur = "Erreur nombre de choix = " . count($soumis);
 	}
	
	$choix = $soumis[0];
	switch($choix)
	{
		case "valider":
		if ($envoi == "inactif")
		{
			$nb_video = "Arrêter d'abord le tournage en cours";
		}
		else
		{
			$filmer = "actif";
		}
		break;
		
		case "moteur":
		if ($filmer == "inactif")
		{
			if ($envoi =="actif")
			{
				$erreur = "Valider d'abord le mode de tournage";
			}
			else
			{
				$erreur = "Oups ! Il y a déjà un tournage en cours";
				$nb_video = "Tournage en cours";
			}
		}
		else
		{
			$filmer = "inactif";
			$envoi = "inactif";
			$arret = "actif";
			$nb_video = "Tournage en cours";
			$image_cam = "tourne";
			switch($mode)
			{
				case "hq1":
				exec("/var/www/cam-temps-reel"." > /dev/null &");
				break;
					
				case "hq2":
				exec("/var/www/cam-enreg"." > /dev/null &");
				break;
					
				case "ral":
				exec("/var/www/cam-ralenti"." > /dev/null &");
				break;
			}
						
		}
		break;
				
		case "couper":
		if ($arret == "inactif")
		{
			$erreur = "Oups ! Il n'y a pas de tournage en cours !";
		}
		else
		{
			$arret = "inactif";
			$envoi = "actif";
			$filmer = "actif";
			$nb_video = "Tournage arrêté";
			$image_cam = "arret";
			switch($mode)
			{
				case "hq1":
				exec("sudo killall -9 raspivid && killall -9 gst-launch-1.0");
				break;
				
				case "hq2":
				exec("sudo killall -9 vlc");
				break;
				
				case "ral":
				exec("sudo killall -9 raspivid");
				break;
			}
		}
		break;
	}
}

?>
	
<div id="page-camera">
 <div id="pi-cam"></div>
 <div id="titre-cam">Caméra</div>
 <div id="mode-tournage">Mode de tournage</div>

 <form name="mode-film" method="post" action="camera.php">
  <div id ="choix-mode">
   <input type="hidden" name="c1" value="<?php echo $c1 ?>">
   <a href="#"><input type="radio" name="video" value="hq1" <?php echo $c1 ?>>Haute qualité, temps réel
     <span><?php echo INFO1 ?></span>
   </a><br>
   <input type="hidden" name="c2" value="<?php echo $c2 ?>">
   <a href="#"><input type="radio" name="video" value="hq2" <?php echo $c2 ?>>Haute qualité, enregistrement possible
     <span><?php echo INFO2 ?></span>
   </a><br>
   <input type="hidden" name="c3" value="<?php echo $c3 ?>">
   <a href="#"><input type="radio" name="video" value="ral" <?php echo $c3 ?>>Ralenti (enregistrement à 90 images/s)
     <span><?php echo INFO3 ?></span>
   </a>
  </div>
  
  <div id="envoi-mode">
	  <input type="hidden" name="envoi" value="<?php echo $envoi ?>">
	  <input type="hidden" name="avis" value="<?php echo $avis ?>">
	  <input type="hidden" name="alerte" value="<?php echo $alerte ?>">
	  <input class="<?php echo $envoi ?>" type="submit" name="valider" value="Valider">
  </div>
  
  <div id="nb-video">
	  <input type="hidden" name="nb_video" value="<?php echo $nb_video ?>">	  
	  <?php echo $nb_video ?>
  </div>
  
  <div id="<?php echo $image_cam ?>" >
  		<input type="hidden" name="image_cam" value="<?php echo $image_cam ?>">
  </div>
  <div id="info"><?php echo $avis ?></div>
  
  <div id="alerte"><?php echo $alerte ?></div>
 
  <div id="lancer">
	 <input type="hidden" name="filmer" value="<?php echo $filmer ?>">
     <input type="hidden" name="mode" value="<?php echo $mode ?>">
	 <input class="<?php echo $filmer ?>" type="submit" name="moteur" value="Moteur">
  </div>
	 
  <div id="stop">
	  <input type="hidden" name="arret" value="<?php echo $arret ?>">
	  <input class="<?php echo $arret ?>" type="submit" name="couper" value="Couper">
  </div> 
 </form>

 
<div>

</div>

<div id="pied-camera"><?php echo $erreur ?></div>
</div>
</body>
</html>
