<!DOCTYPE html> 
<html>
<head>
	<title>Commande filtre coupe-IR et LED du nichoir</title>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<link type="text/css" rel="stylesheet" href="style.css">
</head>

<body>
	
<?php

if (empty($_POST)) 
{
	
    $etat = array("insere", "eteint", "eteint", "eteint",
                  "eteint", "eteint", "eteint", "eteint",
                  "eteint", "eteint", "eteint", "eteint", "eteint",);
    $allumer = array("inactif", "actif", "actif", "actif",
    				 "actif", "actif", "actif", "actif",
    				 "actif", "actif", "actif", "actif", "actif",);
    $eteindre = array("actif", "inactif", "inactif", "inactif",
    				  "inactif", "inactif", "inactif", "inactif",
    				  "inactif", "inactif", "inactif", "inactif", "inactif",);
    $note = "";
    for($wpi = 1; $wpi <= 7; ++$wpi)
    {
		exec("/usr/local/bin/gpio mode ".$wpi." output");
		exec("/usr/local/bin/gpio write ".$wpi." 0");
	}
	for($wpi = 21; $wpi <= 25; ++$wpi)
    {
		exec("/usr/local/bin/gpio mode ".$wpi." output");
		exec("/usr/local/bin/gpio write ".$wpi." 0");
	}
	for($wpi = 27; $wpi <= 29; ++$wpi)
    {
		exec("/usr/local/bin/gpio mode ".$wpi." output");
	}
	exec("/usr/local/bin/gpio write 28 0");
	exec("/usr/local/bin/gpio write 29 1");
	exec("/usr/local/bin/gpio write 27 1");
	usleep(300);
	exec("/usr/local/bin/gpio write 27 0");
	
    
} 
else 
{
	$etat = array();
	$allumer = array();
	$eteindre = array();
	for ($a = 0; $a <= 12; ++$a)
	{
		$etat[$a] = $_POST["etat" . strval($a)];
		$allumer[$a] = $_POST["allumer" . strval($a)];
		$eteindre[$a] = $_POST["eteindre" . strval($a)];
		$note = "";
	}
	
	$nom_choix = array("al0", "et0", "al1", "et1", "al2", "et2", "al3", "et3",
					   "al4", "et4", "al5", "et5", "al6", "et6", "al7", "et7",
					   "al8", "et8", "al9", "et9", "al10", "et10", "al11", "et11", "al12", "et12",);
	foreach ($nom_choix as $nom)
    {
        if (array_key_exists($nom, $_POST))
        {
             $soumis[] = $nom;
        }
    }
    if (count($soumis) != 1)
    {
     $note = "Erreur nombre de choix = " . count($soumis);
 	}
 	
	$choix = $soumis[0];
	$n = intval(substr($choix, 2, 2));
	$etat[$n] = $_POST["etat" . $n];
	$allumer[$n] = $_POST["allumer" . $n];
	$eteindre[$n] = $_POST["eteindre" . $n];
	
	if ($_POST[$choix] == "Allumer" or $_POST[$choix] == "Inserer")
        {
			if ($allumer[$n] == "actif")
			{
				$allumer[$n] = "inactif";
				$eteindre[$n] = "actif";
				if ($n == 0)
				{
					$etat[0] = "insere";
						exec("/usr/local/bin/gpio write 28 0");
						exec("/usr/local/bin/gpio write 29 1");
						exec("/usr/local/bin/gpio write 27 1");
						usleep(300);
						exec("/usr/local/bin/gpio write 27 0");
				}
				else 
				{
					$etat[$n] = "eclaire-ir";
					if ($n <= 6)
					{
						$etat[$n] = substr($etat[$n], 0, 7);
					}
					if ($n > 7)
					{
						$n = $n + 13;
					}
					exec("/usr/local/bin/gpio write ".$n." 1");
				}

			}
			else
			{
				if ($n == 0)
				{
					$note = "Oups ! Le filtre est déjà inséré !";
				}
				else
				{
				$note = "Oups ! La led " . $n . " est déjà allumée !";
				}
			}
		}
		else
		{
			if ($_POST[$choix] == "Eteindre" or $_POST[$choix] == "Retirer")
        	{
				if ($eteindre[$n] == "actif")
				{
					$allumer[$n] = "actif";
					$eteindre[$n] = "inactif";
					if ($n == 0)
					{
						$etat[0] = "retire";
							exec("/usr/local/bin/gpio write 28 1");
							exec("/usr/local/bin/gpio write 29 0");
							exec("/usr/local/bin/gpio write 27 1");
							usleep(300);
							exec("/usr/local/bin/gpio write 27 0");
					}
					else
					{						
						$etat[$n] = "eteint";
						if ($n > 7)
						{
							$n = $n + 13;
						}
						exec("/usr/local/bin/gpio write ".$n." 0");
					}
					
				}
				else
				{
					if ($n == 0)
					{
						$note = "Oups ! Le filtre est déjà retiré !";
					}
					else
					{
					$note = "Oups ! La led " . $n . " est déjà éteinte !";
					}
				}
			}
			else
			{
				$note = "Erreur !";
			}
		}
}
    
?>

<div id="page-led">

<div id="haut"></div>
<div id="soleil"></div>	
<div id="titre-f">
Filtre coupe infra-rouge
</div>
<div id="lune"></div>
<div id="filtre" class="<?php echo $etat[0] ?>">
</div>


<form action="led.php" method="post">
	
	<input type="hidden" name="etat0" value="<?php echo $etat[0] ?>">
	<input type="hidden" name="allumer0" value="<?php echo $allumer[0] ?>">
	<input type="hidden" name="eteindre0" value="<?php echo $eteindre[0] ?>">
	<input id="inserer" class="<?php echo $allumer[0] ?>"  type="submit" name="al0" value="Inserer">
	<input id="retirer" class="<?php echo $eteindre[0] ?>"  type="submit" name="et0" value="Retirer">
	
 <div id="jour">
  <div class="nichoir"></div>
  <div id="j1">
   <div class="commande">
	<input type="hidden" name="etat1" value="<?php echo $etat[1] ?>">
	<input type="hidden" name="allumer1" value="<?php echo $allumer[1] ?>">
	<input type="hidden" name="eteindre1" value="<?php echo $eteindre[1] ?>">
	<div><input class="<?php echo $allumer[1] ?>"  type="submit" name="al1" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[1] ?>" type="submit" name="et1" value="Eteindre"></div>
   </div>

   <div class="commande">
	<input type="hidden" name="etat2" value="<?php echo $etat[2] ?>">
	<input type="hidden" name="allumer2" value="<?php echo $allumer[2] ?>">
	<input type="hidden" name="eteindre2" value="<?php echo $eteindre[2] ?>">
	<div><input class="<?php echo $allumer[2] ?>"  type="submit" name="al2" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[2] ?>"  type="submit" name="et2" value="Eteindre"></div>
   </div>
   
   <div class="commande">	
	<input type="hidden" name="etat3" value="<?php echo $etat[3] ?>">
	<input type="hidden" name="allumer3" value="<?php echo $allumer[3] ?>">
	<input type="hidden" name="eteindre3" value="<?php echo $eteindre[3] ?>">
	<div><input class="<?php echo $allumer[3] ?>"  type="submit" name="al3" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[3] ?>"  type="submit" name="et3" value="Eteindre"></div>
   </div>
  </div>
  
  <div id="j2">
    <div class="led <?php echo $etat[1] ?>"></div>	
	<div class="led <?php echo $etat[2] ?>"></div>
	<div class="led <?php echo $etat[3] ?>"></div>
  </div>
  
  <div id="j3">
    <div class="led <?php echo $etat[4] ?>"></div>	
	<div class="led <?php echo $etat[5] ?>"></div>
	<div class="led <?php echo $etat[6] ?>"></div>
  </div>
    
  <div id="j4">
   <div class="commande">		  
	<input type="hidden" name="etat4" value="<?php echo $etat[4] ?>">
	<input type="hidden" name="allumer4" value="<?php echo $allumer[4] ?>">
	<input type="hidden" name="eteindre4" value="<?php echo $eteindre[4] ?>">
	<div><input class="<?php echo $allumer[4] ?>"  type="submit" name="al4" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[4] ?>"  type="submit" name="et4" value="Eteindre"></div>
   </div>
   
   <div class="commande">	
	<input type="hidden" name="etat5" value="<?php echo $etat[5] ?>">
	<input type="hidden" name="allumer5" value="<?php echo $allumer[5] ?>">
	<input type="hidden" name="eteindre5" value="<?php echo $eteindre[5] ?>">
	<div><input class="<?php echo $allumer[5] ?>"  type="submit" name="al5" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[5] ?>"  type="submit" name="et5" value="Eteindre"></div>
   </div>
   
   <div class="commande">	
	<input type="hidden" name="etat6" value="<?php echo $etat[6] ?>">
	<input type="hidden" name="allumer6" value="<?php echo $allumer[6] ?>">
	<input type="hidden" name="eteindre6" value="<?php echo $eteindre[6] ?>">
	<div><input class="<?php echo $allumer[6] ?>"  type="submit" name="al6" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[6] ?>"  type="submit" name="et6" value="Eteindre"></div>
   </div>
  </div>
  
 </div>
 <div id="nuit">
  <div class="nichoir"></div>
  
  <div id="n1">
	<input type="hidden" name="etat7" value="<?php echo $etat[7] ?>">
	<input type="hidden" name="allumer7" value="<?php echo $allumer[7] ?>">
	<input type="hidden" name="eteindre7" value="<?php echo $eteindre[7] ?>">
	<input class="<?php echo $allumer[7] ?>"  type="submit" name="al7" value="Allumer">
  </div>
  <div id="n2">
	<input class="<?php echo $eteindre[7] ?>"  type="submit" name="et7" value="Eteindre">
  </div>
  
  <div id="com-n-1"	>
	<input type="hidden" name="etat8" value="<?php echo $etat[8] ?>">
	<input type="hidden" name="allumer8" value="<?php echo $allumer[8] ?>">
	<input type="hidden" name="eteindre8" value="<?php echo $eteindre[8] ?>">
	<div><input class="<?php echo $allumer[8] ?>"  type="submit" name="al8" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[8] ?>"  type="submit" name="et8" value="Eteindre"></div>
  </div>
  
  <div id="com-n-2"	>
	<input type="hidden" name="etat9" value="<?php echo $etat[9] ?>">
	<input type="hidden" name="allumer9" value="<?php echo $allumer[9] ?>">
	<input type="hidden" name="eteindre9" value="<?php echo $eteindre[9] ?>">
	<div><input class="<?php echo $allumer[9] ?>"  type="submit" name="al9" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[9] ?>"  type="submit" name="et9" value="Eteindre"></div>
  </div>
  
  <div id="com-n-3"	>
	<input type="hidden" name="etat10" value="<?php echo $etat[10] ?>">
	<input type="hidden" name="allumer10" value="<?php echo $allumer[10] ?>">
	<input type="hidden" name="eteindre10" value="<?php echo $eteindre[10] ?>">
	<div><input class="<?php echo $allumer[10] ?>"  type="submit" name="al10" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[10] ?>"  type="submit" name="et10" value="Eteindre"></div>
  </div>
  
  <div id="com-n-4"	>
	<input type="hidden" name="etat12" value="<?php echo $etat[12] ?>">
	<input type="hidden" name="allumer12" value="<?php echo $allumer[12] ?>">
	<input type="hidden" name="eteindre12" value="<?php echo $eteindre[12] ?>">
	<div><input class="<?php echo $allumer[12] ?>"  type="submit" name="al12" value="Allumer"></div>
	<div><input class="<?php echo $eteindre[12] ?>"  type="submit" name="et12" value="Eteindre"></div>
  </div>
  
  <div id="n6">
	<input type="hidden" name="etat11" value="<?php echo $etat[11] ?>">
	<input type="hidden" name="allumer11" value="<?php echo $allumer[11] ?>">
	<input type="hidden" name="eteindre11" value="<?php echo $eteindre[11] ?>">
	<input class="<?php echo $allumer[11] ?>"  type="submit" name="al11" value="Allumer">
  </div>
  <div id="n7">
	<input class="<?php echo $eteindre[11] ?>"  type="submit" name="et11" value="Eteindre">
  </div>
  
  <div id="n3">
    <div class="ir <?php echo $etat[7] ?>"></div>	
	<div class="ir <?php echo $etat[8] ?>"></div>
	<div class="ir <?php echo $etat[8] ?>"></div>
	<div class="ir <?php echo $etat[11] ?>"></div>	
  </div>
  
  <div id="n4">
    <div id="bas-haut" class="ir <?php echo $etat[10] ?>"></div>	
	<div id="centre" class="ir <?php echo $etat[12] ?>"></div>
	<div id="centre" class="ir <?php echo $etat[12] ?>"></div>
	<div id="bas-haut" class="ir <?php echo $etat[10] ?>"></div>	
  </div>
  
  <div id="n5">
    <div class="ir <?php echo $etat[7] ?>"></div>	
	<div class="ir <?php echo $etat[9] ?>"></div>
	<div class="ir <?php echo $etat[9] ?>"></div>
	<div class="ir <?php echo $etat[11] ?>"></div>	
  </div>
 </div>
  
  

</form>


<div id="pied">
	<?php echo $note ?>
</div>

</div>
</body> 

</html>
